summaryrefslogtreecommitdiff
path: root/bin/get-assignment
diff options
context:
space:
mode:
Diffstat (limited to 'bin/get-assignment')
-rwxr-xr-xbin/get-assignment5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/get-assignment b/bin/get-assignment
index 66e8971..d486738 100755
--- a/bin/get-assignment
+++ b/bin/get-assignment
@@ -50,6 +50,11 @@ hand_out_assignment() {
}
+if ! ${base_dir}/bin/sanity-check -r; then
+ >&2 echo 'Build master is not sane.'
+ exit 1
+fi
+
# Create a lock file and a trap.
exec 9> "${build_list_lock_file}"